Option Strict Off
Option Explicit On
Friend Class MainForm
	Inherits System.Windows.Forms.Form
#Region "Windows Form Designer generated code "
	Public Sub New()
		MyBase.New()
		If m_vb6FormDefInstance Is Nothing Then
			If m_InitializingDefInstance Then
				m_vb6FormDefInstance = Me
			Else
				Try 
					'For the start-up form, the first instance created is the default instance.
					If System.Reflection.Assembly.GetExecutingAssembly.EntryPoint.DeclaringType Is Me.GetType Then
						m_vb6FormDefInstance = Me
					End If
				Catch
				End Try
			End If
		End If
		'This call is required by the Windows Form Designer.
		InitializeComponent()
	End Sub
	'Form overrides dispose to clean up the component list.
	Protected Overloads Overrides Sub Dispose(ByVal Disposing As Boolean)
		If Disposing Then
			If Not components Is Nothing Then
				components.Dispose()
			End If
		End If
		MyBase.Dispose(Disposing)
	End Sub
	'Required by the Windows Form Designer
	Private components As System.ComponentModel.IContainer
	Public ToolTip1 As System.Windows.Forms.ToolTip
	Public WithEvents ThemeCallout As System.Windows.Forms.RadioButton
	Public WithEvents ThemeClassic As System.Windows.Forms.RadioButton
	Public WithEvents ThemeZephyr As System.Windows.Forms.RadioButton
	Public WithEvents ThemeCustom As System.Windows.Forms.RadioButton
	Public WithEvents ThemeDefault As System.Windows.Forms.RadioButton
	Public WithEvents ThemeFrame As System.Windows.Forms.GroupBox
	Public WithEvents DebugMode As System.Windows.Forms.CheckBox
	Public WithEvents Active As System.Windows.Forms.CheckBox
	Public WithEvents HideDelay As System.Windows.Forms.TextBox
	Public WithEvents ShowDelay As System.Windows.Forms.TextBox
	Public WithEvents HideDelayTitle As System.Windows.Forms.Label
	Public WithEvents ShowDelayTitle As System.Windows.Forms.Label
	Public WithEvents TooltipManagerFrame As System.Windows.Forms.GroupBox
	Public WithEvents FadeHide As System.Windows.Forms.TextBox
	Public WithEvents FadeShow As System.Windows.Forms.TextBox
	Public WithEvents HasTail As System.Windows.Forms.CheckBox
	Public WithEvents Rounded As System.Windows.Forms.TextBox
	Public WithEvents TraceMode As System.Windows.Forms.CheckBox
	Public WithEvents HasBorder As System.Windows.Forms.CheckBox
	Public WithEvents AutoHide As System.Windows.Forms.CheckBox
	Public WithEvents Transparency As System.Windows.Forms.TextBox
	Public WithEvents HasShadow As System.Windows.Forms.CheckBox
	Public WithEvents TitleLabel As System.Windows.Forms.Label
	Public WithEvents StateLabel As System.Windows.Forms.Label
	Public WithEvents FadeHideTitle As System.Windows.Forms.Label
	Public WithEvents FadeShowTitle As System.Windows.Forms.Label
	Public WithEvents RoundedTitle As System.Windows.Forms.Label
	Public WithEvents TransparencyTitle As System.Windows.Forms.Label
	Public WithEvents TooltipFrame As System.Windows.Forms.GroupBox
	Public WithEvents ExitButton As System.Windows.Forms.Button
	Public WithEvents HideTooltip As System.Windows.Forms.Button
	Public WithEvents HideTooltipImmediately As System.Windows.Forms.Button
	Public WithEvents Note As System.Windows.Forms.Label
	'NOTE: The following procedure is required by the Windows Form Designer
	'It can be modified using the Windows Form Designer.
	'Do not modify it using the code editor.
	<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container()
        Me.ToolTip1 = New System.Windows.Forms.ToolTip(Me.components)
        Me.ThemeFrame = New System.Windows.Forms.GroupBox()
        Me.ThemeCallout = New System.Windows.Forms.RadioButton()
        Me.ThemeClassic = New System.Windows.Forms.RadioButton()
        Me.ThemeZephyr = New System.Windows.Forms.RadioButton()
        Me.ThemeCustom = New System.Windows.Forms.RadioButton()
        Me.ThemeDefault = New System.Windows.Forms.RadioButton()
        Me.TooltipManagerFrame = New System.Windows.Forms.GroupBox()
        Me.DebugMode = New System.Windows.Forms.CheckBox()
        Me.Active = New System.Windows.Forms.CheckBox()
        Me.HideDelay = New System.Windows.Forms.TextBox()
        Me.ShowDelay = New System.Windows.Forms.TextBox()
        Me.HideDelayTitle = New System.Windows.Forms.Label()
        Me.ShowDelayTitle = New System.Windows.Forms.Label()
        Me.TooltipFrame = New System.Windows.Forms.GroupBox()
        Me.FadeHide = New System.Windows.Forms.TextBox()
        Me.FadeShow = New System.Windows.Forms.TextBox()
        Me.HasTail = New System.Windows.Forms.CheckBox()
        Me.Rounded = New System.Windows.Forms.TextBox()
        Me.TraceMode = New System.Windows.Forms.CheckBox()
        Me.HasBorder = New System.Windows.Forms.CheckBox()
        Me.AutoHide = New System.Windows.Forms.CheckBox()
        Me.Transparency = New System.Windows.Forms.TextBox()
        Me.HasShadow = New System.Windows.Forms.CheckBox()
        Me.TitleLabel = New System.Windows.Forms.Label()
        Me.StateLabel = New System.Windows.Forms.Label()
        Me.FadeHideTitle = New System.Windows.Forms.Label()
        Me.FadeShowTitle = New System.Windows.Forms.Label()
        Me.RoundedTitle = New System.Windows.Forms.Label()
        Me.TransparencyTitle = New System.Windows.Forms.Label()
        Me.ExitButton = New System.Windows.Forms.Button()
        Me.HideTooltip = New System.Windows.Forms.Button()
        Me.HideTooltipImmediately = New System.Windows.Forms.Button()
        Me.Note = New System.Windows.Forms.Label()
        Me.ThemeFrame.SuspendLayout()
        Me.TooltipManagerFrame.SuspendLayout()
        Me.TooltipFrame.SuspendLayout()
        Me.SuspendLayout()
        '
        'ThemeFrame
        '
        Me.ThemeFrame.BackColor = System.Drawing.SystemColors.Control
        Me.ThemeFrame.Controls.AddRange(New System.Windows.Forms.Control() {Me.ThemeCallout, Me.ThemeClassic, Me.ThemeZephyr, Me.ThemeCustom, Me.ThemeDefault})
        Me.ThemeFrame.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ThemeFrame.ForeColor = System.Drawing.SystemColors.ControlText
        Me.ThemeFrame.Location = New System.Drawing.Point(8, 208)
        Me.ThemeFrame.Name = "ThemeFrame"
        Me.ThemeFrame.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ThemeFrame.Size = New System.Drawing.Size(441, 57)
        Me.ThemeFrame.TabIndex = 27
        Me.ThemeFrame.TabStop = False
        Me.ThemeFrame.Text = "Tooltip Themes"
        '
        'ThemeCallout
        '
        Me.ThemeCallout.BackColor = System.Drawing.SystemColors.Control
        Me.ThemeCallout.Cursor = System.Windows.Forms.Cursors.Default
        Me.ThemeCallout.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ThemeCallout.ForeColor = System.Drawing.SystemColors.ControlText
        Me.ThemeCallout.Location = New System.Drawing.Point(248, 24)
        Me.ThemeCallout.Name = "ThemeCallout"
        Me.ThemeCallout.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ThemeCallout.Size = New System.Drawing.Size(57, 25)
        Me.ThemeCallout.TabIndex = 32
        Me.ThemeCallout.TabStop = True
        Me.ThemeCallout.Text = "Callout"
        '
        'ThemeClassic
        '
        Me.ThemeClassic.BackColor = System.Drawing.SystemColors.Control
        Me.ThemeClassic.Cursor = System.Windows.Forms.Cursors.Default
        Me.ThemeClassic.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ThemeClassic.ForeColor = System.Drawing.SystemColors.ControlText
        Me.ThemeClassic.Location = New System.Drawing.Point(376, 24)
        Me.ThemeClassic.Name = "ThemeClassic"
        Me.ThemeClassic.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ThemeClassic.Size = New System.Drawing.Size(57, 25)
        Me.ThemeClassic.TabIndex = 31
        Me.ThemeClassic.TabStop = True
        Me.ThemeClassic.Text = "Classic"
        '
        'ThemeZephyr
        '
        Me.ThemeZephyr.BackColor = System.Drawing.SystemColors.Control
        Me.ThemeZephyr.Cursor = System.Windows.Forms.Cursors.Default
        Me.ThemeZephyr.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ThemeZephyr.ForeColor = System.Drawing.SystemColors.ControlText
        Me.ThemeZephyr.Location = New System.Drawing.Point(312, 24)
        Me.ThemeZephyr.Name = "ThemeZephyr"
        Me.ThemeZephyr.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ThemeZephyr.Size = New System.Drawing.Size(57, 25)
        Me.ThemeZephyr.TabIndex = 30
        Me.ThemeZephyr.TabStop = True
        Me.ThemeZephyr.Text = "Zephyr"
        '
        'ThemeCustom
        '
        Me.ThemeCustom.BackColor = System.Drawing.SystemColors.Control
        Me.ThemeCustom.Cursor = System.Windows.Forms.Cursors.Default
        Me.ThemeCustom.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ThemeCustom.ForeColor = System.Drawing.SystemColors.ControlText
        Me.ThemeCustom.Location = New System.Drawing.Point(8, 24)
        Me.ThemeCustom.Name = "ThemeCustom"
        Me.ThemeCustom.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ThemeCustom.Size = New System.Drawing.Size(65, 25)
        Me.ThemeCustom.TabIndex = 29
        Me.ThemeCustom.TabStop = True
        Me.ThemeCustom.Text = "Custom"
        '
        'ThemeDefault
        '
        Me.ThemeDefault.BackColor = System.Drawing.SystemColors.Control
        Me.ThemeDefault.Checked = True
        Me.ThemeDefault.Cursor = System.Windows.Forms.Cursors.Default
        Me.ThemeDefault.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ThemeDefault.ForeColor = System.Drawing.SystemColors.ControlText
        Me.ThemeDefault.Location = New System.Drawing.Point(184, 24)
        Me.ThemeDefault.Name = "ThemeDefault"
        Me.ThemeDefault.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ThemeDefault.Size = New System.Drawing.Size(57, 25)
        Me.ThemeDefault.TabIndex = 28
        Me.ThemeDefault.TabStop = True
        Me.ThemeDefault.Text = "Default"
        '
        'TooltipManagerFrame
        '
        Me.TooltipManagerFrame.BackColor = System.Drawing.SystemColors.Control
        Me.TooltipManagerFrame.Controls.AddRange(New System.Windows.Forms.Control() {Me.DebugMode, Me.Active, Me.HideDelay, Me.ShowDelay, Me.HideDelayTitle, Me.ShowDelayTitle})
        Me.TooltipManagerFrame.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.TooltipManagerFrame.ForeColor = System.Drawing.SystemColors.ControlText
        Me.TooltipManagerFrame.Location = New System.Drawing.Point(8, 272)
        Me.TooltipManagerFrame.Name = "TooltipManagerFrame"
        Me.TooltipManagerFrame.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.TooltipManagerFrame.Size = New System.Drawing.Size(441, 97)
        Me.TooltipManagerFrame.TabIndex = 24
        Me.TooltipManagerFrame.TabStop = False
        Me.TooltipManagerFrame.Text = "Tooltip Manager Properties"
        '
        'DebugMode
        '
        Me.DebugMode.BackColor = System.Drawing.SystemColors.Control
        Me.DebugMode.Cursor = System.Windows.Forms.Cursors.Default
        Me.DebugMode.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.DebugMode.ForeColor = System.Drawing.SystemColors.ControlText
        Me.DebugMode.Location = New System.Drawing.Point(336, 40)
        Me.DebugMode.Name = "DebugMode"
        Me.DebugMode.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.DebugMode.Size = New System.Drawing.Size(89, 25)
        Me.DebugMode.TabIndex = 12
        Me.DebugMode.Text = "DebugMode"
        '
        'Active
        '
        Me.Active.BackColor = System.Drawing.SystemColors.Control
        Me.Active.Cursor = System.Windows.Forms.Cursors.Default
        Me.Active.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Active.ForeColor = System.Drawing.SystemColors.ControlText
        Me.Active.Location = New System.Drawing.Point(248, 40)
        Me.Active.Name = "Active"
        Me.Active.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.Active.Size = New System.Drawing.Size(73, 25)
        Me.Active.TabIndex = 11
        Me.Active.Text = "Active"
        '
        'HideDelay
        '
        Me.HideDelay.AcceptsReturn = True
        Me.HideDelay.AutoSize = False
        Me.HideDelay.BackColor = System.Drawing.SystemColors.Window
        Me.HideDelay.Cursor = System.Windows.Forms.Cursors.IBeam
        Me.HideDelay.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.HideDelay.ForeColor = System.Drawing.SystemColors.WindowText
        Me.HideDelay.Location = New System.Drawing.Point(168, 56)
        Me.HideDelay.MaxLength = 0
        Me.HideDelay.Name = "HideDelay"
        Me.HideDelay.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.HideDelay.Size = New System.Drawing.Size(65, 25)
        Me.HideDelay.TabIndex = 10
        Me.HideDelay.Text = ""
        '
        'ShowDelay
        '
        Me.ShowDelay.AcceptsReturn = True
        Me.ShowDelay.AutoSize = False
        Me.ShowDelay.BackColor = System.Drawing.SystemColors.Window
        Me.ShowDelay.Cursor = System.Windows.Forms.Cursors.IBeam
        Me.ShowDelay.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ShowDelay.ForeColor = System.Drawing.SystemColors.WindowText
        Me.ShowDelay.Location = New System.Drawing.Point(168, 24)
        Me.ShowDelay.MaxLength = 0
        Me.ShowDelay.Name = "ShowDelay"
        Me.ShowDelay.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ShowDelay.Size = New System.Drawing.Size(65, 25)
        Me.ShowDelay.TabIndex = 9
        Me.ShowDelay.Text = ""
        '
        'HideDelayTitle
        '
        Me.HideDelayTitle.BackColor = System.Drawing.SystemColors.Control
        Me.HideDelayTitle.Cursor = System.Windows.Forms.Cursors.Default
        Me.HideDelayTitle.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.HideDelayTitle.ForeColor = System.Drawing.SystemColors.ControlText
        Me.HideDelayTitle.Location = New System.Drawing.Point(16, 56)
        Me.HideDelayTitle.Name = "HideDelayTitle"
        Me.HideDelayTitle.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.HideDelayTitle.Size = New System.Drawing.Size(145, 25)
        Me.HideDelayTitle.TabIndex = 26
        Me.HideDelayTitle.Text = "HideDelay (in milliseconds):"
        '
        'ShowDelayTitle
        '
        Me.ShowDelayTitle.BackColor = System.Drawing.SystemColors.Control
        Me.ShowDelayTitle.Cursor = System.Windows.Forms.Cursors.Default
        Me.ShowDelayTitle.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ShowDelayTitle.ForeColor = System.Drawing.SystemColors.ControlText
        Me.ShowDelayTitle.Location = New System.Drawing.Point(16, 24)
        Me.ShowDelayTitle.Name = "ShowDelayTitle"
        Me.ShowDelayTitle.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ShowDelayTitle.Size = New System.Drawing.Size(144, 25)
        Me.ShowDelayTitle.TabIndex = 25
        Me.ShowDelayTitle.Text = "ShowDelay (in milliseconds):"
        '
        'TooltipFrame
        '
        Me.TooltipFrame.BackColor = System.Drawing.SystemColors.Control
        Me.TooltipFrame.Controls.AddRange(New System.Windows.Forms.Control() {Me.FadeHide, Me.FadeShow, Me.HasTail, Me.Rounded, Me.TraceMode, Me.HasBorder, Me.AutoHide, Me.Transparency, Me.HasShadow, Me.TitleLabel, Me.StateLabel, Me.FadeHideTitle, Me.FadeShowTitle, Me.RoundedTitle, Me.TransparencyTitle})
        Me.TooltipFrame.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.TooltipFrame.ForeColor = System.Drawing.SystemColors.ControlText
        Me.TooltipFrame.Location = New System.Drawing.Point(8, 8)
        Me.TooltipFrame.Name = "TooltipFrame"
        Me.TooltipFrame.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.TooltipFrame.Size = New System.Drawing.Size(441, 193)
        Me.TooltipFrame.TabIndex = 16
        Me.TooltipFrame.TabStop = False
        Me.TooltipFrame.Text = "Tootip Properties"
        '
        'FadeHide
        '
        Me.FadeHide.AcceptsReturn = True
        Me.FadeHide.AutoSize = False
        Me.FadeHide.BackColor = System.Drawing.SystemColors.Window
        Me.FadeHide.Cursor = System.Windows.Forms.Cursors.IBeam
        Me.FadeHide.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.FadeHide.ForeColor = System.Drawing.SystemColors.WindowText
        Me.FadeHide.Location = New System.Drawing.Point(168, 56)
        Me.FadeHide.MaxLength = 0
        Me.FadeHide.Name = "FadeHide"
        Me.FadeHide.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.FadeHide.Size = New System.Drawing.Size(65, 25)
        Me.FadeHide.TabIndex = 0
        Me.FadeHide.Text = ""
        '
        'FadeShow
        '
        Me.FadeShow.AcceptsReturn = True
        Me.FadeShow.AutoSize = False
        Me.FadeShow.BackColor = System.Drawing.SystemColors.Window
        Me.FadeShow.Cursor = System.Windows.Forms.Cursors.IBeam
        Me.FadeShow.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.FadeShow.ForeColor = System.Drawing.SystemColors.WindowText
        Me.FadeShow.Location = New System.Drawing.Point(168, 88)
        Me.FadeShow.MaxLength = 0
        Me.FadeShow.Name = "FadeShow"
        Me.FadeShow.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.FadeShow.Size = New System.Drawing.Size(65, 25)
        Me.FadeShow.TabIndex = 1
        Me.FadeShow.Text = ""
        '
        'HasTail
        '
        Me.HasTail.BackColor = System.Drawing.SystemColors.Control
        Me.HasTail.Cursor = System.Windows.Forms.Cursors.Default
        Me.HasTail.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.HasTail.ForeColor = System.Drawing.SystemColors.ControlText
        Me.HasTail.Location = New System.Drawing.Point(352, 96)
        Me.HasTail.Name = "HasTail"
        Me.HasTail.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.HasTail.Size = New System.Drawing.Size(81, 17)
        Me.HasTail.TabIndex = 7
        Me.HasTail.Text = "Has Tail"
        '
        'Rounded
        '
        Me.Rounded.AcceptsReturn = True
        Me.Rounded.AutoSize = False
        Me.Rounded.BackColor = System.Drawing.SystemColors.Window
        Me.Rounded.Cursor = System.Windows.Forms.Cursors.IBeam
        Me.Rounded.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Rounded.ForeColor = System.Drawing.SystemColors.WindowText
        Me.Rounded.Location = New System.Drawing.Point(168, 120)
        Me.Rounded.MaxLength = 0
        Me.Rounded.Name = "Rounded"
        Me.Rounded.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.Rounded.Size = New System.Drawing.Size(65, 25)
        Me.Rounded.TabIndex = 2
        Me.Rounded.Text = ""
        '
        'TraceMode
        '
        Me.TraceMode.BackColor = System.Drawing.SystemColors.Control
        Me.TraceMode.Cursor = System.Windows.Forms.Cursors.Default
        Me.TraceMode.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.TraceMode.ForeColor = System.Drawing.SystemColors.ControlText
        Me.TraceMode.Location = New System.Drawing.Point(248, 96)
        Me.TraceMode.Name = "TraceMode"
        Me.TraceMode.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.TraceMode.Size = New System.Drawing.Size(97, 17)
        Me.TraceMode.TabIndex = 6
        Me.TraceMode.Text = "Trace Mode"
        '
        'HasBorder
        '
        Me.HasBorder.BackColor = System.Drawing.SystemColors.Control
        Me.HasBorder.Cursor = System.Windows.Forms.Cursors.Default
        Me.HasBorder.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.HasBorder.ForeColor = System.Drawing.SystemColors.ControlText
        Me.HasBorder.Location = New System.Drawing.Point(352, 48)
        Me.HasBorder.Name = "HasBorder"
        Me.HasBorder.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.HasBorder.Size = New System.Drawing.Size(81, 33)
        Me.HasBorder.TabIndex = 5
        Me.HasBorder.Text = "Has Border"
        '
        'AutoHide
        '
        Me.AutoHide.BackColor = System.Drawing.SystemColors.Control
        Me.AutoHide.Cursor = System.Windows.Forms.Cursors.Default
        Me.AutoHide.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.AutoHide.ForeColor = System.Drawing.SystemColors.ControlText
        Me.AutoHide.Location = New System.Drawing.Point(248, 48)
        Me.AutoHide.Name = "AutoHide"
        Me.AutoHide.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.AutoHide.Size = New System.Drawing.Size(72, 33)
        Me.AutoHide.TabIndex = 4
        Me.AutoHide.Text = "Autohide"
        '
        'Transparency
        '
        Me.Transparency.AcceptsReturn = True
        Me.Transparency.AutoSize = False
        Me.Transparency.BackColor = System.Drawing.SystemColors.Window
        Me.Transparency.Cursor = System.Windows.Forms.Cursors.IBeam
        Me.Transparency.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Transparency.ForeColor = System.Drawing.SystemColors.WindowText
        Me.Transparency.Location = New System.Drawing.Point(168, 152)
        Me.Transparency.MaxLength = 0
        Me.Transparency.Name = "Transparency"
        Me.Transparency.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.Transparency.Size = New System.Drawing.Size(65, 25)
        Me.Transparency.TabIndex = 3
        Me.Transparency.Text = ""
        '
        'HasShadow
        '
        Me.HasShadow.BackColor = System.Drawing.SystemColors.Control
        Me.HasShadow.Cursor = System.Windows.Forms.Cursors.Default
        Me.HasShadow.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.HasShadow.ForeColor = System.Drawing.SystemColors.ControlText
        Me.HasShadow.Location = New System.Drawing.Point(248, 128)
        Me.HasShadow.Name = "HasShadow"
        Me.HasShadow.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.HasShadow.Size = New System.Drawing.Size(120, 41)
        Me.HasShadow.TabIndex = 8
        Me.HasShadow.Text = "Has Shadow (Windows XP only)"
        '
        'TitleLabel
        '
        Me.TitleLabel.BackColor = System.Drawing.SystemColors.Control
        Me.TitleLabel.Cursor = System.Windows.Forms.Cursors.Default
        Me.TitleLabel.Font = New System.Drawing.Font("Arial", 12.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.TitleLabel.ForeColor = System.Drawing.SystemColors.ControlText
        Me.TitleLabel.Location = New System.Drawing.Point(16, 18)
        Me.TitleLabel.Name = "TitleLabel"
        Me.TitleLabel.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.TitleLabel.Size = New System.Drawing.Size(121, 25)
        Me.TitleLabel.TabIndex = 22
        Me.TitleLabel.Text = "Tooltip State:"
        '
        'StateLabel
        '
        Me.StateLabel.BackColor = System.Drawing.SystemColors.Control
        Me.StateLabel.Cursor = System.Windows.Forms.Cursors.Default
        Me.StateLabel.Font = New System.Drawing.Font("Arial", 12.0!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.StateLabel.ForeColor = System.Drawing.Color.Blue
        Me.StateLabel.Location = New System.Drawing.Point(168, 18)
        Me.StateLabel.Name = "StateLabel"
        Me.StateLabel.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.StateLabel.Size = New System.Drawing.Size(73, 25)
        Me.StateLabel.TabIndex = 21
        '
        'FadeHideTitle
        '
        Me.FadeHideTitle.BackColor = System.Drawing.SystemColors.Control
        Me.FadeHideTitle.Cursor = System.Windows.Forms.Cursors.Default
        Me.FadeHideTitle.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.FadeHideTitle.ForeColor = System.Drawing.SystemColors.ControlText
        Me.FadeHideTitle.Location = New System.Drawing.Point(16, 56)
        Me.FadeHideTitle.Name = "FadeHideTitle"
        Me.FadeHideTitle.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.FadeHideTitle.Size = New System.Drawing.Size(137, 17)
        Me.FadeHideTitle.TabIndex = 20
        Me.FadeHideTitle.Text = "FadeHide (in milliseconds):"
        '
        'FadeShowTitle
        '
        Me.FadeShowTitle.BackColor = System.Drawing.SystemColors.Control
        Me.FadeShowTitle.Cursor = System.Windows.Forms.Cursors.Default
        Me.FadeShowTitle.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.FadeShowTitle.ForeColor = System.Drawing.SystemColors.ControlText
        Me.FadeShowTitle.Location = New System.Drawing.Point(16, 88)
        Me.FadeShowTitle.Name = "FadeShowTitle"
        Me.FadeShowTitle.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.FadeShowTitle.Size = New System.Drawing.Size(144, 25)
        Me.FadeShowTitle.TabIndex = 19
        Me.FadeShowTitle.Text = "FadeShow (in milliseconds):"
        '
        'RoundedTitle
        '
        Me.RoundedTitle.BackColor = System.Drawing.SystemColors.Control
        Me.RoundedTitle.Cursor = System.Windows.Forms.Cursors.Default
        Me.RoundedTitle.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.RoundedTitle.ForeColor = System.Drawing.SystemColors.ControlText
        Me.RoundedTitle.Location = New System.Drawing.Point(16, 120)
        Me.RoundedTitle.Name = "RoundedTitle"
        Me.RoundedTitle.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.RoundedTitle.Size = New System.Drawing.Size(145, 25)
        Me.RoundedTitle.TabIndex = 18
        Me.RoundedTitle.Text = "Rounded (in pixels, 0..255):"
        '
        'TransparencyTitle
        '
        Me.TransparencyTitle.BackColor = System.Drawing.SystemColors.Control
        Me.TransparencyTitle.Cursor = System.Windows.Forms.Cursors.Default
        Me.TransparencyTitle.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.TransparencyTitle.ForeColor = System.Drawing.SystemColors.ControlText
        Me.TransparencyTitle.Location = New System.Drawing.Point(16, 152)
        Me.TransparencyTitle.Name = "TransparencyTitle"
        Me.TransparencyTitle.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.TransparencyTitle.Size = New System.Drawing.Size(145, 17)
        Me.TransparencyTitle.TabIndex = 17
        Me.TransparencyTitle.Text = "Transparency (0..255):"
        '
        'ExitButton
        '
        Me.ExitButton.BackColor = System.Drawing.SystemColors.Control
        Me.ExitButton.Cursor = System.Windows.Forms.Cursors.Default
        Me.ExitButton.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ExitButton.ForeColor = System.Drawing.SystemColors.ControlText
        Me.ExitButton.Location = New System.Drawing.Point(376, 432)
        Me.ExitButton.Name = "ExitButton"
        Me.ExitButton.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.ExitButton.Size = New System.Drawing.Size(73, 25)
        Me.ExitButton.TabIndex = 15
        Me.ExitButton.Text = "E&xit"
        '
        'HideTooltip
        '
        Me.HideTooltip.BackColor = System.Drawing.SystemColors.Control
        Me.HideTooltip.Cursor = System.Windows.Forms.Cursors.Default
        Me.HideTooltip.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.HideTooltip.ForeColor = System.Drawing.SystemColors.ControlText
        Me.HideTooltip.Location = New System.Drawing.Point(8, 432)
        Me.HideTooltip.Name = "HideTooltip"
        Me.HideTooltip.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.HideTooltip.Size = New System.Drawing.Size(81, 25)
        Me.HideTooltip.TabIndex = 13
        Me.HideTooltip.Text = "Hide Tooltip"
        '
        'HideTooltipImmediately
        '
        Me.HideTooltipImmediately.BackColor = System.Drawing.SystemColors.Control
        Me.HideTooltipImmediately.Cursor = System.Windows.Forms.Cursors.Default
        Me.HideTooltipImmediately.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.HideTooltipImmediately.ForeColor = System.Drawing.SystemColors.ControlText
        Me.HideTooltipImmediately.Location = New System.Drawing.Point(96, 432)
        Me.HideTooltipImmediately.Name = "HideTooltipImmediately"
        Me.HideTooltipImmediately.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.HideTooltipImmediately.Size = New System.Drawing.Size(145, 25)
        Me.HideTooltipImmediately.TabIndex = 14
        Me.HideTooltipImmediately.Text = "Hide Tooltip Immediately"
        '
        'Note
        '
        Me.Note.BackColor = System.Drawing.SystemColors.Control
        Me.Note.Cursor = System.Windows.Forms.Cursors.Default
        Me.Note.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Note.ForeColor = System.Drawing.Color.FromArgb(CType(0, Byte), CType(0, Byte), CType(128, Byte))
        Me.Note.Location = New System.Drawing.Point(8, 376)
        Me.Note.Name = "Note"
        Me.Note.RightToLeft = System.Windows.Forms.RightToLeft.No
        Me.Note.Size = New System.Drawing.Size(440, 41)
        Me.Note.TabIndex = 23
        Me.Note.Text = "Note: Some interface glitches are possible when trying to use two sets of propert" & _
        "ies {FadeHide, FadeShow, Transparency} and {HasTail, Rounded} at the same time b" & _
        "ecause of a known Windows bug. Read documentation for details."
        '
        'MainForm
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(457, 465)
        Me.Controls.AddRange(New System.Windows.Forms.Control() {Me.ThemeFrame, Me.TooltipManagerFrame, Me.TooltipFrame, Me.ExitButton, Me.HideTooltip, Me.HideTooltipImmediately, Me.Note})
        Me.Font = New System.Drawing.Font("Arial", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog
        Me.Location = New System.Drawing.Point(3, 22)
        Me.MaximizeBox = False
        Me.MinimizeBox = False
        Me.Name = "MainForm"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "Tooltip Monitor"
        Me.ThemeFrame.ResumeLayout(False)
        Me.TooltipManagerFrame.ResumeLayout(False)
        Me.TooltipFrame.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub
#End Region 
#Region "Upgrade Support "
	Private Shared m_vb6FormDefInstance As MainForm
	Private Shared m_InitializingDefInstance As Boolean
	Public Shared Property DefInstance() As MainForm
		Get
			If m_vb6FormDefInstance Is Nothing OrElse m_vb6FormDefInstance.IsDisposed Then
				m_InitializingDefInstance = True
				m_vb6FormDefInstance = New MainForm()
				m_InitializingDefInstance = False
			End If
			DefInstance = m_vb6FormDefInstance
		End Get
		Set
			m_vb6FormDefInstance = Value
		End Set
	End Property
#End Region 
	'*************************************************************
	'* VXPLib example
	'*
	'* Tooltip Monitor
	'*
    '* Last Modified on 22/12/2002
	'*
	'* This example is an intellectual property of Vitaly Tomilov
	'*************************************************************
	
	'This example illustrates most of the tooltip properties that you can adjust
	'in many ways to make tooltips look best in your application.
	
	'Declaraing a variable of type IVXPTooltipManager
    Private WithEvents manager As New VXPLibrary.VXPTooltipManager()
	'Declaraing a variable of type IVXPTooltip just to be able to handle events
	'fired by this interface. It is specific of VB6 that we can see events only
	'of a declared object.
    Private WithEvents tool As VXPLibrary.VXPTooltip = manager.tool
	
	Private Sub MainForm_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
        On Error GoTo ErrHandler
		
        'Attaching tooltips to objects on the form, and to the form itself:
        With manager.windows
            .Add(Handle.ToInt32, "<b><u>Tooltip Monitor</u></b> example for VB6 demonstrates<br>the use of the tooltips properties to customize<br>appearance of the tooltip.<br><font color=blue><table><tr><td>Try to modify all of the settings to see<br>how tooltips might look in your application.</td><td><font face='Wingdings' charset=symbol size=20 color=red>&#74</td></tr></table>")
            .Add(HideTooltip.Handle.ToInt32, "<body bgcolor=palegreen>Hide the tooltip in a way depending<br>on the current value of the<br><b>FadeHide</b> property.")
            .Add(HideTooltipImmediately.Handle.ToInt32, "<body bgcolor=palegreen>Hide the tooltip <u>immediately</u><br>notwithstanding whether it was set<br>to fade away slowly.")
            .Add(TooltipFrame.Handle.ToInt32, "<body bgcolor=Aquamarine><b><u><font color=blue>Tooltip Properties</font></u></b><br>Select different combinations of tooltips<br>settings to change the tooltip's appearance<br>and behavour.")
            .Add(FadeHide.Handle.ToInt32, "<body bgcolor=LightSteelBlue>Length in milliseconds of the fading<br>effect when the tooltip is being hidden.<br><i><font color=white>The default value is 500</i>")
            .Add(FadeShow.Handle.ToInt32, "<body bgcolor=LightSteelBlue>Length in milliseconds of the fading<br>effect when the tooltip is being shown.<br><i><font color=white>The default value is 500")
            .Add(Rounded.Handle.ToInt32, "<body bgcolor=LightSteelBlue>Defines how much (0..255) corners<br>of the tooltip will be rounded.<br><i><font color=white>The defaults value is 0")
            .Add(Transparency.Handle.ToInt32, "<body bgcolor=LightSteelBlue>Defines the level of transparency from<br>0 to 255 when the tooltip acquires its<br>state ttsShown:<br><table border=1 cellspacing=1><tr><td bgcolor=white align=center>0</td><td bgcolor=skyblue>Complete invisibility (transparency)</td></tr><tr><td bgcolor=white>255</td><td bgcolor=skyblue>Completely opaque tooltip</td></tr></table><br><i><font color=white>The default value is 255")
            .Add(AutoHide.Handle.ToInt32, "<body bgcolor=sienna text=white>Informs the tooltip about necessity to hide<br>itself when the mouse cursor changes its position.<hr color=white><font color=yellow>The default value is set <u>True</u> by the <b><font color=aqua>Tooltip</font></b><br>interface, but overridden to be <u>False</u> by the<br><b><font color=aqua>TooltipManager</font></b> interface.")
            .Add(HasBorder.Handle.ToInt32, "Defines whether or not the tooltip has a border.<br>When set to <u>True</u>, the tooltip draws a 1-pixel wide<br>border around its edge with color set by<br>property <b>BorderColor</b>.<hr><font color=blue>The default value is <u>True</u></font>.")
            .Add(TraceMode.Handle.ToInt32, "<body bgcolor=lightskyblue><table><tr valign=middle><td><font face='Webdings' size=30 color=peru charset=symbol></font></td><td><b>Trace</b> the tooltip after<br>the mouse pointer while<br>over the same object.</td></tr></table><hr>The default value is <u>True</u>")
            .Add(HasTail.Handle.ToInt32, "<body bgcolor=violet><table><tr valign=middle><td>Display the tooltip<br>with a triangular <b>tail</b><br>(tooltip callout).</td><td><font size=30 face='Webdings' color=white charset=symbol></font></td></tr></table><hr>The default value is <u>False</u>")
            .Add(HasShadow.Handle.ToInt32, "<table><tr valign=middle><td>Display <b>shadows</b> for tooltips<br><font size=7 color=#606060>(Microsoft&reg Windows&trade XP feature)</font></td><td><font size=24 face='Wingdings' color=blue charset=symbol></font></td></tr></table><hr color=#909090 shape=round size=4>The default value is <u>True</u>")
            .Add(TooltipManagerFrame.Handle.ToInt32, "<body bgcolor=Aquamarine><b><u><font color=blue>Tooltip Manager Properties</font></u></b><br>Here you can modify only the main properties<br>of the <b>TooltipManager</b> interface that effect<br>appearance of the tooltip.")
            .Add(ShowDelay.Handle.ToInt32, "<body bgcolor=lightblue>Time delay in milliseconds before showing<br>the tooltip beginning from the moment when the<br>mouse cursor stopped moving over the object.<hr>The default value is 500")
            .Add(HideDelay.Handle.ToInt32, "<body bgcolor=lightblue>Specifies an interval in milliseconds after<br>which the tooltip must hide automatically.<br>The value of 0 means do not hide.<hr>Default is 0.")
            .Add(Active.Handle.ToInt32, "<body bgcolor=BlanchedAlmond>Activates/Deactivates the whole <b>TooltipManager</b>.<br>Setting this property to <u>False</u> is equivalent<br>to doing the same for all command and window<br>tooltips by using <b>SetActive(..., False)</b> for all elements<br>of the two tooltip collections.<hr>The default value is <u>True</u>")
            .Add(DebugMode.Handle.ToInt32, "<body bgcolor=BlanchedAlmond>Used for the client's application development purpose only.<br>Sets a special mode in which the <b>TooltipManager</b> displays<br>tooltips with information about visual elements under<br>the mouse cursor instead of the normal tooltips.<hr>The default value is <u>False</u>")
            .Add(ThemeFrame.Handle.ToInt32, "<body bgcolor=Aquamarine><b><u><font color=blue>Tooltip Themes</font></u></b><br>4 combinations of parameters<br>for the tooltip appearance.")
            .Add(ThemeDefault.Handle.ToInt32, "Will set all tooltip parameters<br>to their default values.")
            .Add(ThemeZephyr.Handle.ToInt32, "<body bgcolor=skyblue>Will set parameters of the<br>tooltip to look like a cloud.")
            .Add(ThemeClassic.Handle.ToInt32, "<body bgcolor=palegreen>Will set parameters of the<br>tooltip to look like the windows<br>standard one.")
            .Add(ThemeCustom.Handle.ToInt32, "<body bgcolor=palegreen>Indicates when parameters of<br>the tooltip are different from<br>all of the four themes.")
            .Add(ThemeCallout.Handle.ToInt32, "<body bgcolor=BlanchedAlmond>Makes the tooltip look like a callout<br>with rounded corners and a tail.")
        End With

        Dim txt As String
        With manager
            'Attaching a tooltip for command Exit to both the Exit button and a system menu item:
            txt = "<body bgcolor=palegreen>E<u>x</u>it the <i><font color=blue>Tooltip Monitor</font></i><br>application. <b>Alt+F4</b>"
            .windows.Add(ExitButton.Handle.ToInt32, txt)
            'Note: the command ID for system menu item 'Close' we could see by activating DebugMode of the Tooltip Manager
            'If you hover the mouse over that menu item you will see the tooltip
            .commands.Add(61536, txt)

            'Initializing control variables that depend on the tooltip manager properties:
            ShowDelay.Text = CStr(.ShowDelay)
            HideDelay.Text = CStr(.HideDelay)
            Active.CheckState = CheckState.Checked
            DebugMode.CheckState = .DebugMode
        End With

        UpdateParameters()

        ThemeDefault.Checked = True

        GoTo Success

ErrHandler:
        MsgBox("Failed to initialize VXPLib.dll. Make sure the component has been registered on your PC.")
        MainForm.DefInstance.Close()

Success:
		
	End Sub
	
    Private Sub HasBorder_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles HasBorder.CheckStateChanged
        tool.HasBorder = HasBorder.CheckState
        'After changing the border style we need to hide the tooltip
        'immediately and recalculate its layout in order to see the changes:
        ThemeCustom.Checked = True
        tool.Hide(True)
        tool.html.RecalculateLayout()
    End Sub

    Private Sub HasShadow_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles HasShadow.CheckStateChanged
        ThemeCustom.Checked = True
        tool.HasShadow = HasShadow.CheckState
        'Setting this property will automatically invoke:
        'tool.Hide True
        'tool.html.RecalculateLayout
        'This is why we do not need to call these methods explicitly.
    End Sub

    Private Sub HasTail_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles HasTail.CheckStateChanged

        ThemeCustom.Checked = True
        With tool
            .HasTail = HasTail.CheckState
            'After changing the tail style of the tooltip we need to hide the tooltip
            'immediately and recalculate its layout in order to see the changes:
            .Hide(True)
            .html.RecalculateLayout()
        End With

    End Sub

    Private Sub HideDelay_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles HideDelay.TextChanged

        'Changing the HideDelay property of the tooltip in a way to avoid
        'setting incorrect value and causing a VB run-time exception:
        Dim a As Integer
        a = Val(HideDelay.Text)
        If a <= 0 Or Not IsNumeric(HideDelay.Text) Then
            HideDelay.Text = "0"
        End If
        manager.HideDelay = CShort(HideDelay.Text)

    End Sub

    Private Sub HideTooltip_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles HideTooltip.Click

        'Hiding the tooltip in a way dependant on its property FadeHide:
        tool.Hide()

    End Sub

    Private Sub HideTooltipImmediately_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles HideTooltipImmediately.Click

        'Hiding the tooltip immediately:
        tool.Hide(True)

    End Sub

    Private Sub Rounded_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Rounded.TextChanged
        'Changing the Round property of the tooltip in a way to avoid
        'setting incorrect value and causing a VB run-time exception:
        ThemeCustom.Checked = True
        Dim a As Integer
        a = Val(Rounded.Text)
        If a <= 0 Or Not IsNumeric(Rounded.Text) Then
            Rounded.Text = "0"
        End If
        If a > 255 Then
            Rounded.Text = "255"
        End If

        With tool
            .Round = CByte(Rounded.Text)
            .Hide(True)
            .html.RecalculateLayout()
        End With

    End Sub

    Private Sub ShowDelay_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ShowDelay.TextChanged
        'Changing the ShowDelay property of the tooltip in a way to avoid
        'setting incorrect value and causing a VB run-time exception:
        Dim a As Integer
        a = Val(ShowDelay.Text)
        If a <= 0 Or Not IsNumeric(ShowDelay.Text) Then
            ShowDelay.Text = "0"
        End If
        manager.ShowDelay = CShort(ShowDelay.Text)
    End Sub

    Private Sub ThemeCallout_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ThemeCallout.CheckedChanged
        If eventSender.Checked Then
            tool.Theme = VXPLibrary.VXPTooltipTheme.ttCallout
            UpdateParameters()
            ThemeCallout.Checked = True
        End If
    End Sub

    Private Sub ThemeClassic_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ThemeClassic.CheckedChanged
        If eventSender.Checked Then
            tool.Theme = VXPLibrary.VXPTooltipTheme.ttClassic
            UpdateParameters()
            ThemeClassic.Checked = True
        End If
    End Sub

    Private Sub ThemeDefault_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ThemeDefault.CheckedChanged
        If eventSender.Checked Then
            tool.Theme = VXPLibrary.VXPTooltipTheme.ttDefault
            UpdateParameters()
            ThemeDefault.Checked = True
        End If
    End Sub

    Private Sub UpdateParameters()
        'Initializing control variables that depend on the tooltip properties:
        With tool
            FadeHide.Text = CStr(.FadeHide)
            FadeShow.Text = CStr(.FadeShow)

            If .HasBorder Then
                HasBorder.CheckState = CheckState.Checked
            Else
                HasBorder.CheckState = CheckState.Unchecked
            End If
            If .TraceMode Then
                TraceMode.CheckState = CheckState.Checked
            Else
                TraceMode.CheckState = CheckState.Unchecked
            End If
            If .Autohide Then
                AutoHide.CheckState = CheckState.Checked
            Else
                AutoHide.CheckState = CheckState.Unchecked
            End If
            If .HasTail Then
                HasTail.CheckState = CheckState.Checked
            Else
                HasTail.CheckState = CheckState.Unchecked
            End If
            If .HasShadow Then
                HasShadow.CheckState = CheckState.Checked
            Else
                HasShadow.CheckState = CheckState.Unchecked
            End If
            Transparency.Text = CStr(.Transparency)
            Rounded.Text = CStr(.Round)
        End With
    End Sub

    Private Sub ThemeZephyr_CheckedChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ThemeZephyr.CheckedChanged
        If eventSender.Checked Then
            tool.Theme = VXPLibrary.VXPTooltipTheme.ttZephyr
            UpdateParameters()
            ThemeZephyr.Checked = True
        End If
    End Sub

    'This event is fired every time the tooltip changes its state.
    'We handle this event to display the tooltip's state as an example of
    'that we have full control over the tooltip object itself:
    Private Sub tool_OnStateChanged(ByVal NewState As VXPLibrary.VXPTooltipState) Handles tool.OnStateChanged
        Select Case NewState
            Case VXPLibrary.VXPTooltipState.ttsShown
                StateLabel.Text = "Shown"
            Case VXPLibrary.VXPTooltipState.ttsHidden
                StateLabel.Text = "Hidden"
            Case VXPLibrary.VXPTooltipState.ttsShowing
                StateLabel.Text = "Showing"
            Case VXPLibrary.VXPTooltipState.ttsHiding
                StateLabel.Text = "Hiding"
        End Select
        StateLabel.Refresh()
    End Sub

    Private Sub TraceMode_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles TraceMode.CheckStateChanged
        'Changing property TraceMode of the tooltip:
        ThemeCustom.Checked = True
        tool.TraceMode = TraceMode.CheckState
    End Sub

    Private Sub Transparency_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Transparency.TextChanged
        'Changing the Transparency property of the tooltip in a way to avoid
        'setting incorrect value and causing a VB run-time exception:
        ThemeCustom.Checked = True
        Dim a As Integer
        a = Val(Transparency.Text)
        If a <= 0 Or Not IsNumeric(Transparency.Text) Then
            Transparency.Text = "0"
        End If
        If a > 255 Then
            Transparency.Text = "255"
        End If
        tool.Transparency = CByte(Transparency.Text)
        tool.Hide(True)
    End Sub

    Private Sub Active_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Active.CheckStateChanged
        'Changing property Active of the tooltip manager:
        manager.Active = Active.CheckState
    End Sub

    Private Sub AutoHide_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles AutoHide.CheckStateChanged
        'Changing property AutoHide of the tooltip:
        ThemeCustom.Checked = True
        tool.Autohide = AutoHide.CheckState
    End Sub

    Private Sub DebugMode_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles DebugMode.CheckStateChanged
        'Switching the debug mode for the tooltip manager:
        manager.DebugMode = DebugMode.CheckState
    End Sub

    Private Sub ExitButton_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles ExitButton.Click
        'Unloading the main form:
        MainForm.DefInstance.Close()
    End Sub

    Private Sub FadeHide_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles FadeHide.TextChanged
        'Changing the FadeHide property of the tooltip in a way to avoid
        'setting incorrect value and causing a VB run-time exception:
        ThemeCustom.Checked = True
        Dim a As Integer
        a = Val(FadeHide.Text)
        If a <= 0 Or Not IsNumeric(FadeHide.Text) Then
            FadeHide.Text = "0"
        End If
        tool.FadeHide = CShort(FadeHide.Text)
        tool.html.RecalculateLayout()
    End Sub

    Private Sub FadeShow_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles FadeShow.TextChanged
        'Changing the FadeShow property of the tooltip in a way to avoid
        'setting incorrect value and causing a VB run-time exception:
        ThemeCustom.Checked = True
        Dim a As Integer
        a = Val(FadeShow.Text)
        If a <= 0 Or Not IsNumeric(FadeShow.Text) Then
            FadeShow.Text = "0"
        End If
        tool.FadeShow = CShort(FadeShow.Text)
        tool.html.RecalculateLayout()
    End Sub

End Class